package com.ruoyi.ibs.list.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.ibs.list.domain.SysGroupBusiness;
import com.ruoyi.ibs.list.mapper.SysGroupBusinessMapper;
import com.ruoyi.ibs.list.service.ISysGroupBusinessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 分群客户关联关系,导入的企业与商户客群用户存放在这里Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-29
 */
@Service
public class SysGroupBusinessServiceImpl implements ISysGroupBusinessService
{
    @Autowired
    private SysGroupBusinessMapper sysGroupBusinessMapper;

    /**
     * 查询分群客户关联关系,导入的企业与商户客群用户存放在这里
     * 
     * @param id 分群客户关联关系,导入的企业与商户客群用户存放在这里主键
     * @return 分群客户关联关系,导入的企业与商户客群用户存放在这里
     */
    @Override
    public SysGroupBusiness selectSysGroupBusinessById(Long id)
    {
        return sysGroupBusinessMapper.selectSysGroupBusinessById(id);
    }

    /**
     * 查询分群客户关联关系,导入的企业与商户客群用户存放在这里列表
     * 
     * @param sysGroupBusiness 分群客户关联关系,导入的企业与商户客群用户存放在这里
     * @return 分群客户关联关系,导入的企业与商户客群用户存放在这里
     */
    @Override
    public List<SysGroupBusiness> selectSysGroupBusinessList(SysGroupBusiness sysGroupBusiness)
    {
        return sysGroupBusinessMapper.selectSysGroupBusinessList(sysGroupBusiness);
    }

    /**
     * 新增分群客户关联关系,导入的企业与商户客群用户存放在这里
     * 
     * @param sysGroupBusiness 分群客户关联关系,导入的企业与商户客群用户存放在这里
     * @return 结果
     */
    @Override
    public int insertSysGroupBusiness(SysGroupBusiness sysGroupBusiness)
    {
        sysGroupBusiness.setCreateTime(DateUtils.getNowDate());
        return sysGroupBusinessMapper.insertSysGroupBusiness(sysGroupBusiness);
    }

    /**
     * 修改分群客户关联关系,导入的企业与商户客群用户存放在这里
     * 
     * @param sysGroupBusiness 分群客户关联关系,导入的企业与商户客群用户存放在这里
     * @return 结果
     */
    @Override
    public int updateSysGroupBusiness(SysGroupBusiness sysGroupBusiness)
    {
        sysGroupBusiness.setUpdateTime(DateUtils.getNowDate());
        return sysGroupBusinessMapper.updateSysGroupBusiness(sysGroupBusiness);
    }

    /**
     * 批量删除分群客户关联关系,导入的企业与商户客群用户存放在这里
     * 
     * @param ids 需要删除的分群客户关联关系,导入的企业与商户客群用户存放在这里主键
     * @return 结果
     */
    @Override
    public int deleteSysGroupBusinessByIds(Long[] ids)
    {
        return sysGroupBusinessMapper.deleteSysGroupBusinessByIds(ids);
    }

    /**
     * 删除分群客户关联关系,导入的企业与商户客群用户存放在这里信息
     * 
     * @param id 分群客户关联关系,导入的企业与商户客群用户存放在这里主键
     * @return 结果
     */
    @Override
    public int deleteSysGroupBusinessById(Long id)
    {
        return sysGroupBusinessMapper.deleteSysGroupBusinessById(id);
    }
}
